VectorCrossProduct doesn't make perpendicular vector

When I use the rs.VectorCrossProduct command for to coplanar vectors, the resulting vector is not normal to the plane and does not appear to be orthogonal to the two original vectors. testMRIcombine-editor.py (11.9 KB)

Hello - that seems to work OK here:

import rhinoscriptsyntax as rs

pts = rs.GetPoints(max_points=3)
vec1 = rs.VectorCreate(pts[0], pts[1])
vec2 = rs.VectorCreate(pts[0], pts[2])
rs.AddLine(pts[0], pts[1])
rs.AddLine(pts[0], pts[2])
vec3 = rs.VectorCrossProduct(vec1, vec2)
rs.AddLine(pts[0], rs.PointAdd(pts[0], vec3))

-Pascal